Subject: Re: [lmap] Comments on draft-schulzrinne-lmap-requirements-00 - capabilities

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 5 Nov 2012 01:52:03 +0000

Picking up a few items that haven't been discussed yet. (I generally agree with the comments that I cut out.)

There is a need to identify different types of measurement clients to the measurement controller. Some clients, for instance located at residential or business gateways adjacent to UNIs, are primary candidates for scheduled test activities. Other clients located at intermediate nodes within the network may be used only for troubleshooting, or at least may have a different set of tests scheduled than a gateway. Still others such as software-based clients installed on fixed or mobile endpoint devices might serve either purpose, depending on whether there the associated gateway is a measurement client and whether the endpoint is considered “reliable” for the purposes of a specific test program. Classification of measurement client both by feature set and by network location may be desirable.

Would you envision that this requires more than just returning "sorry, I can't do this" error messages, e.g., if there's a request for a scheduled test for nodes that only do on-demand tests? Do you see fundamental differences in control protocols? I do envision a discovery query where measurement clients (or whatever we end up calling them) can describe their capabilities, primarily in terms of tests they can run, including passive ones, but maybe also in terms of overall capability. Beyond scheduled tests and the ability to use a publish/subscribe mechanism, are there other examples?

Best regards,
Ken Ko